# PATCH /v4/organizations/{organizationId}/service-accounts/{id}

_Merkl API_

Rename, disable or re-enable a service account. Needs `service_account.manage` on it. Managing the credentials of a service account lets the holder act with that service account's rights.

### Path parameters

- `organizationId` (string) _(required)_
- `id` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "minProperties": 1,
  "type": "object",
  "properties": {
    "name": {
      "minLength": 1,
      "maxLength": 200,
      "type": "string"
    },
    "disabled": {
      "type": "boolean"
    }
  }
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "minProperties": 1,
  "type": "object",
  "properties": {
    "name": {
      "minLength": 1,
      "maxLength": 200,
      "type": "string"
    },
    "disabled": {
      "type": "boolean"
    }
  }
}
```
**`multipart/form-data`**
```json
{
  "minProperties": 1,
  "type": "object",
  "properties": {
    "name": {
      "minLength": 1,
      "maxLength": 200,
      "type": "string"
    },
    "disabled": {
      "type": "boolean"
    }
  }
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X PATCH "https://api.merkl.xyz//v4/organizations/{organizationId}/service-accounts/{id}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```